Status: Resolved Priority: Must have
Author: Bastian Waidelich Category: Persistence
Created: 2011-04-29 Assigned To: Karsten Dambekalns
Updated: 2011-05-04 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Repository::countAll() does not return integers
Description

RepositoryInterface::countAll() should return integers. But apparently the doctrine integration does not cast the return type thus 
$repository->countAll() === 1

 will never be TRUE.

Associated revisions
Revision 2aa7624f - 2011-04-29 14:40 - Karsten Dambekalns

[BUGFIX] Make sure countAll() returns integers

With Doctrine persistence countAll() would not return integers (in all
cases), thus strict comparison did not work.

Fixes: #26493
Change-Id: I4d7afd65e819d0fda0dbedf541d0766aa81138e6

History
#1 - 2011-04-29 14:01 - Karsten Dambekalns
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1

#2 - 2011-04-29 14:40 - Mr. Hudson

Patch set 1 of change I4d7afd65e819d0fda0dbedf541d0766aa81138e6 has been pushed to the review server.
It is available at http://review.typo3.org/1793

#3 - 2011-04-29 14:40 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-05-04 22:30 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2aa7624ff8c0db195d9df63ec507217278f33e3f.

2015-08-03 1/2

http://review.typo3.org/1793


2015-08-03 2/2


